%global fontname vt323
%global fontconf 61-%{fontname}-fonts.conf
%global alphatag 20140916hg


Name:          %{fontname}-fonts
Version:       1.002
Release:       0.2.%{alphatag}%{?dist}
Summary:       VT323 font by Peter Hull
License:       OFL
URL:           https://www.google.com/fonts/specimen/VT323
Source0:       https://googlefontdirectory.googlecode.com/hg/ofl/vt323/src/VT323-Regular-TTF.sfd
Source1:       https://googlefontdirectory.googlecode.com/hg/ofl/vt323/OFL.txt
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: fontforge
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
This font was created from the glyphs of the DEC VT320 text terminal.


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} .
# Correct end of line encoding for OFL.txt
sed -i 's/\r$//' OFL.txt


%build
fontforge -lang=ff -script "-" *.sfd <<_EOF
i = 1
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5)
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++
endloop
_EOF
ttname --copyright="$(head -n1 OFL.txt)" --license="$(cat OFL.txt)" --license-url="http://scripts.sil.org/OFL" *.ttf || exit 0

%install
install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt *.pdf


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.002-0.2.20140916hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Sep 16 2014 Julien Enselme <jujens@jujens.eu> - 1.002-0.1.20140916hg
- Initial packaging.
